/*
 * *********************************************************
 * Copyright (c) 2009 - 2014, DHBW Mannheim - Tigers Mannheim
 * Project: TIGERS - Sumatra
 * Date: Jul 14, 2014
 * Author(s): lukas
 * *********************************************************
 */
package edu.dhbw.mannheim.tigers.sumatra.model.modules.impls.autoreferee;

import org.apache.log4j.Logger;

import edu.dhbw.mannheim.tigers.sumatra.model.data.frames.AIInfoFrame;
import edu.dhbw.mannheim.tigers.sumatra.model.modules.impls.autoreferee.RefereeCaseMsg.EMsgType;


/**
 * TODO lukas, add comment!
 * - What should this type do (in one sentence)?
 * - If not intuitive: A simple example how to use this class
 * 
 * @author lukas
 */
public class BallSpeedingCase extends ARefereeCase
{
	
	
	// --------------------------------------------------------------------------
	// --- variables and constants ----------------------------------------------
	// --------------------------------------------------------------------------
	private static final float		MAX_VELOCITY	= 8;																	// m/s
																																		
	private static final Logger	log				= Logger.getLogger(BallSpeedingCase.class.getName());
	
	
	// --------------------------------------------------------------------------
	// --- constructors ---------------------------------------------------------
	// --------------------------------------------------------------------------
	
	
	// --------------------------------------------------------------------------
	// --- methods --------------------------------------------------------------
	// --------------------------------------------------------------------------
	@Override
	protected RefereeCaseMsg checkCase(final AIInfoFrame frame)
	{
		float velocity = frame.getWorldFrame().getBall().getVel().getLength2();
		if (velocity > MAX_VELOCITY)
		{
			log.warn("Ball Speed = " + velocity);
			return new RefereeCaseMsg(frame.getTacticalField().getBotLastTouchedBall().getTeamColor(), EMsgType.BALL_SPEED);
		}
		return null;
	}
	// --------------------------------------------------------------------------
	// --- getter/setter --------------------------------------------------------
	// --------------------------------------------------------------------------
}
