/*
 * *********************************************************
 * Copyright (c) 2009 - 2012, DHBW Mannheim - Tigers Mannheim
 * Project: TIGERS - Sumatra
 * Date: 25.04.2012
 * Author(s): Manuel
 * 
 * *********************************************************
 */
package edu.dhbw.mannheim.tigers.shared;

import java.io.Serializable;


/**
 * TODO Manuel, add comment!
 * - What should this type do (in one sentence)?
 * - If not intuitive: A simple example how to use this class
 * 
 * @author Manuel
 * 
 */
public class AndroidCommand implements Serializable
{
	// --------------------------------------------------------------------------
	// --- variables and constants ----------------------------------------------
	// --------------------------------------------------------------------------
	private static final long	serialVersionUID	= -2613953739047160851L;
	
	private boolean				moveLeft			= false;
	private boolean				moveRight			= false;
	private boolean				moveAhead			= false;
	private boolean				moveBack			= false;
	private boolean				rotateLeft			= false;
	private boolean				rotateRight			= false;
	private boolean				force				= false;
	private boolean				chipKick			= false;
	private boolean				pass				= false;
	private boolean				arm					= false;
	private boolean				dribble				= false;
	
	
	// --------------------------------------------------------------------------
	// --- constructors ---------------------------------------------------------
	// --------------------------------------------------------------------------
	public AndroidCommand()
	{
		
	}
	
	
	public AndroidCommand(boolean moveLeft, boolean moveRight, boolean moveAhead, boolean moveBack, boolean rotateLeft,
			boolean rotateRight, boolean force, boolean chipKick, boolean pass, boolean arm, boolean dribble)
	{
		setMoveLeft(moveLeft);
		setMoveRight(moveRight);
		setMoveAhead(moveAhead);
		setMoveBack(moveBack);
		setRotateLeft(rotateLeft);
		setRotateRight(rotateRight);
		setForce(force);
		setChipKick(chipKick);
		setPass(pass);
		setArm(arm);
		setDribble(dribble);
	}
	
	
	public AndroidCommand(AndroidCommand command)
	{
		setMoveLeft(command.moveLeft);
		setMoveRight(command.moveRight);
		setMoveAhead(command.moveAhead);
		setMoveBack(command.moveBack);
		setRotateLeft(command.rotateLeft);
		setRotateRight(command.rotateRight);
		setForce(command.force);
		setChipKick(command.chipKick);
		setPass(command.pass);
		setArm(command.arm);
		setDribble(command.dribble);
	}
	
	
	// --------------------------------------------------------------------------
	// --- methods --------------------------------------------------------------
	// --------------------------------------------------------------------------
	
	
	// --------------------------------------------------------------------------
	// --- getter/setter --------------------------------------------------------
	// --------------------------------------------------------------------------
	/**
	 * @return the moveLeft
	 */
	public boolean isMoveLeft()
	{
		return moveLeft;
	}
	
	
	/**
	 * @param moveLeft the moveLeft to set
	 */
	public void setMoveLeft(boolean moveLeft)
	{
		this.moveLeft = moveLeft;
	}
	
	
	/**
	 * @return the moveRight
	 */
	public boolean isMoveRight()
	{
		return moveRight;
	}
	
	
	/**
	 * @param moveRight the moveRight to set
	 */
	public void setMoveRight(boolean moveRight)
	{
		this.moveRight = moveRight;
	}
	
	
	/**
	 * @return the moveAhead
	 */
	public boolean isMoveAhead()
	{
		return moveAhead;
	}
	
	
	/**
	 * @param moveAhead the moveAhead to set
	 */
	public void setMoveAhead(boolean moveAhead)
	{
		this.moveAhead = moveAhead;
	}
	
	
	/**
	 * @return the moveBack
	 */
	public boolean isMoveBack()
	{
		return moveBack;
	}
	
	
	/**
	 * @param moveBack the moveBack to set
	 */
	public void setMoveBack(boolean moveBack)
	{
		this.moveBack = moveBack;
	}
	
	
	/**
	 * @return the rotateLeft
	 */
	public boolean isRotateLeft()
	{
		return rotateLeft;
	}
	
	
	/**
	 * @param rotateLeft the rotateLeft to set
	 */
	public void setRotateLeft(boolean rotateLeft)
	{
		this.rotateLeft = rotateLeft;
	}
	
	
	/**
	 * @return the rotateRight
	 */
	public boolean isRotateRight()
	{
		return rotateRight;
	}
	
	
	/**
	 * @param rotateRight the rotateRight to set
	 */
	public void setRotateRight(boolean rotateRight)
	{
		this.rotateRight = rotateRight;
	}
	
	
	/**
	 * @return the force
	 */
	public boolean isForce()
	{
		return force;
	}
	
	
	/**
	 * @param force the force to set
	 */
	public void setForce(boolean force)
	{
		this.force = force;
	}
	
	
	/**
	 * @return the chipKick
	 */
	public boolean isChipKick()
	{
		return chipKick;
	}
	
	
	/**
	 * @param chipKick the chipKick to set
	 */
	public void setChipKick(boolean chipKick)
	{
		this.chipKick = chipKick;
	}
	
	
	/**
	 * @return the pass
	 */
	public boolean isPass()
	{
		return pass;
	}
	
	
	/**
	 * @param pass the pass to set
	 */
	public void setPass(boolean pass)
	{
		this.pass = pass;
	}
	
	
	/**
	 * @return the arm
	 */
	public boolean isArm()
	{
		return arm;
	}
	
	
	/**
	 * @param arm the arm to set
	 */
	public void setArm(boolean arm)
	{
		this.arm = arm;
	}
	
	
	/**
	 * @return the dribble
	 */
	public boolean isDribble()
	{
		return dribble;
	}
	
	
	/**
	 * @param dribble the dribble to set
	 */
	public void setDribble(boolean dribble)
	{
		this.dribble = dribble;
	}
	
	
}